Welcome, Guest. Please login or register.
September 20, 2021, 07:40:21 am

Pages: [1]
  Print  
Author Topic: Ubuntu 9.10 and "Segmentation fault"  (Read 14234 times)
chronix
little robot
*
Posts: 3


« on: December 29, 2009, 07:58:49 pm »

Hello, I bought the game and I'm trying to launch it without success. Every time I run the executable file I get a segmentation fault. Then I tried to use
bash -c "cd /home/chronis/Apps/Machinarium && ./Machinarium"
and I get
bash: line 1: 22846 Segmentation fault      ./Machinarium

I found this thread (http://machinarium.net/forum/index.php/topic,721.0.html), referring to the same fault on Fedora, but I can't find this library on Ubuntu's repository.

Can you please help me?


Logged
nicolas
Global Moderator
space invader
*****
Gender: Male
Posts: 107


pains-aux-raisins-based life-form.


WWW
« Reply #1 on: December 29, 2009, 09:22:43 pm »

Hi
On Ubuntu 9.10 repos, this package seems to be named libcurl3. Wink
The odd thing is that the game launch fine here without it, on the same system.
Logged
chronix
little robot
*
Posts: 3


« Reply #2 on: December 29, 2009, 10:16:57 pm »

libcurl3 is already installed. Do you have another idea?
Logged
nicolas
Global Moderator
space invader
*****
Gender: Male
Posts: 107


pains-aux-raisins-based life-form.


WWW
« Reply #3 on: December 30, 2009, 10:52:11 am »

You're running a 32-bits or a 64-bits system ?
Logged
chronix
little robot
*
Posts: 3


« Reply #4 on: December 30, 2009, 03:53:43 pm »

32-bits
Logged
grosjean
little rusty robot

Posts: 1


« Reply #5 on: October 18, 2010, 08:40:26 am »

Hi, i had the same problem.
In fact, the driver of your video card are the problem.
On ubuntu, i've install the ati proprietary driver, and now, the game works fine.

Hope this help.
Regards.
Logged
Pages: [1]
  Print  
 
Jump to: